Bug 1021111 - No selection background in file name edit mode
No selection background in file name edit mode
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-19 10:01 EDT by Gayan Perera
Modified: 2016-07-19 06:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:30:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The file selection before editing. (2.74 KB, image/png)
2013-10-19 10:01 EDT, Gayan Perera
no flags Details
After pressing F2 (3.68 KB, image/png)
2013-10-19 10:02 EDT, Gayan Perera
no flags Details

  None (edit)
Description Gayan Perera 2013-10-19 10:01:14 EDT
Created attachment 813991 [details]
The file selection before editing.

Description of problem:
Selection background of the file name is missing some time when renaming files in nautilus. This cause the text to disappear as well.

Version-Release number of selected component (if applicable):
3.10

How reproducible:
Not always, But editing 2 or 3 files names one after the other will reproduce this problem most of the time.

Steps to Reproduce:
1. Select a file.
2. Press F2 to edit the file name.

Actual results:
File name disappears and no caret is show or any characters typed. But pressing enter will show the new name which is typed.

Expected results:
Proper selection background and foreground must be used from the active theme and the caret should be shown.


Additional info:
Comment 1 Gayan Perera 2013-10-19 10:02:12 EDT
Created attachment 813992 [details]
After pressing F2
Comment 2 Gayan Perera 2013-10-19 10:03:42 EDT
The behavior is same regardless the theme i use.
Comment 3 Jaroslav Reznik 2015-03-03 10:09:15 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 4 Fedora End Of Life 2016-07-19 06:30:10 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.